cgSetMatrixParameter(3)

NAME
cgSetMatrixParameter - sets the value of matrix parameters

SYNOPSIS
  #include <Cg/cg.h>
  /* TYPE is int, float or double */
  void cgSetMatrixParameter{ifd}{rc}( CGparameter param,
                                      const TYPE * matrix );

PARAMETERS

param
    The parameter that will be set.

matrix
    An array of values to which to set the matrix parameter. The array must be the number of rows times the number of columns in size.

RETURN VALUES
None.

DESCRIPTION
The cgSetMatrixParameter functions set the value of a given matrix parameter. The functions are available in various combinations.

There are versions of each function that take int, float or double values signified by the i, f or d in the function name.

There are versions of each function that assume the array of values are laid out in either row or column order signified by the r or c in the function name respectively.

The cgSetMatrixParameter functions may only be called with uniform parameters.

EXAMPLES
to-be-written

ERRORS
CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

HISTORY
The d and f versions of cgSetMatrixParameter were introduced in Cg 1.2.

The i versions of cgSetMatrixParameter were introduced in Cg 1.4.

SEE ALSO
the cgGetParameterRows manpage, the cgGetParameterColumns manpage, the cgGetMatrixParameterArray manpage, the cgGetParameterValues manpage